<?php
/*
Plugin : Shadogo
Plugin URI: http://binaryworld.hd.free.fr/
*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
load_language('plugin.lang', SHADOGO_PATH);


$plugin = get_plugin_data($plugin_id);

if (!empty($_POST['save']))
{
	// Modal overlay libraries
	$c = $plugin->getConfig();
	$c->set('modalOverlayLib', $_POST['modalOverlayLib']);
	$c->set('modalOverlayTheme', $_POST['modalOverlayTheme']);
	
	// Overlay configuration
	$c->set('favoritePicture', isset( $_POST['favoritePicture'] ));
	$c->set('hdPicture', isset( $_POST['hdPicture'] ));
	$c->set('downloadPicture', isset( $_POST['downloadPicture'] ));
	$c->set('addToBasket', isset( $_POST['addToBasket'] ));
	
	// Mediaplayer configuration
	$plugin->getConfig()->set('mediaFilePattern', stripslashes( $_POST['mediaFilePattern'] ));
	$c->set('displayMediaPlayer', isset( $_POST['displayMediaPlayer'] ));
	
	// HD configuration
	$c->set('hdPictureInOverlay', isset( $_POST['hdPictureInOverlay'] ));
	$c->set('hdPicturePrefilterPattern', stripslashes( $_POST['hdPicturePrefilterPattern'] ));
	$c->set('hdPicturePrefilterReplacement', stripslashes( $_POST['hdPicturePrefilterReplacement'] ));
	
	// Slideshow configuration
	$c->set('slideshowInOverlay', isset($_POST['slideshowInOverlay']));
	$c->set('slideshowPrefilterPattern', stripslashes( $_POST['slideshowPrefilterPattern'] ));
	$c->set('slideshowPrefilterReplacement', stripslashes( $_POST['slideshowPrefilterReplacement'] ));
	
	// Thumbnail configuration
	$c->set('thumbInOverlay', isset($_POST['thumbInOverlay'] ));
	$c->set('thumbMediaPlayerIcon', isset($_POST['thumbMediaPlayerIcon'] ));
	$c->set('thumbContentLabel', isset($_POST['thumbContentLabel'] ));
	$c->set('thumbContentIcon', isset($_POST['thumbContentIcon'] ));
	$c->set('thumbContentPageInOverlay', isset($_POST['thumbContentPageInOverlay'] ));
	$c->set('thumbButtonsTemplateSearch', stripslashes( $_POST['thumbButtonsTemplateSearch'] ));
	$c->set('thumbHrefContentSearch', stripslashes( $_POST['thumbHrefContentSearch'] ));
	
	$c->commit();
	unset($_POST['save']);
}
 
global $template;
$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/template/shadogo_admin.tpl') );

$config = (!empty($_POST['restore'])) ? $plugin->getDefaultConfig() : $plugin->getConfig();

$libs = $plugin->getInstalledOverlayLibs();
$themes = array();
foreach ($libs as $lib) {
	$themes[$lib] = array();
	foreach ($plugin->getOverlayLib($lib)->getThemes() as $value) {
		$themes[$lib][$value] = $value;
	};
}

$template_vars = array (
	'modalOverlayLibs' => $libs,
	'modalOverlayLibsSelected' => $config->get('modalOverlayLib'),
	'modalOverlayThemes' => $themes,
	'modalOverlayThemesSelected' => array(
		$config->get('modalOverlayLib') => $config->get('modalOverlayTheme')
	),
	'U_SHADOGO' => $plugin->getPluginURL()
);

$template->assign($template_vars);
$config->assign($template); 

unset($_POST['restore']);
unset($_POST['cancel']);

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');


?>